package hud.inventory;

import java.awt.Graphics2D;

import utils.Stack;

public class Backpack {

	private static final int boxWidth = 40, boxHeight = 40;
	public static volatile Stack<Backpack> backpacks = new Stack<Backpack>();
	public volatile InventorySlot[] slots;
	public boolean equipped;
	public int id;
	private static int count;

	public Backpack(int numSlots) {
		slots = new InventorySlot[numSlots];
		for (Backpack i : backpacks)
			i.equipped = false;
		this.equipped = true;
		this.id = count++;
		backpacks.add(this);
	}

	public void tick() {

	}

	public void render(Graphics2D g2d) {
		
	}

}
